Content.makeFrontInterface(338, 500);

const var ReverbPower = Synth.getEffect("ReverbPower");
const var Reverb = Synth.getEffect("Reverb");
const var VerbEQ = Synth.getEffect("VerbEQ");
const var VerbShine = Synth.getEffect("VerbShine");
const var VerbCut = Synth.getEffect("VerbCut");

const var DelayPower = Synth.getEffect("DelayPower");
const var Delay = Synth.getEffect("Delay");
const var DelayEQ = Synth.getEffect("DelayEQ");
const var DelayCut = Synth.getEffect("DelayCut");

const var ShinePower = Synth.getEffect("ShinePower");
const var ShineGain = Synth.getEffect("ShineGain");

const var Width = Synth.getEffect("Width");

const var Mainknb = Content.getComponent("Mainknb");

const var Widthknb = Content.getComponent("Widthknb");

inline function onMainknbControl(component, value)
{
	local normalizedValue = component.getValueNormalized();
	
	Reverb.setAttribute(Reverb.WetLevel, normalizedValue * 0.8);
	VerbEQ.setAttribute(VerbEQ.Gain, normalizedValue * 8);
	VerbShine.setAttribute(VerbShine.Gain, (normalizedValue * 20) - 0);
	VerbShine.setAttribute(VerbShine.Mix, normalizedValue * 0.4);
	VerbCut.setAttribute(VerbCut.Gain, (normalizedValue * -4) - 0);

	ShineGain.setAttribute(ShineGain.Gain, (normalizedValue * -2) - 0);
	
	Delay.setAttribute(Delay.Mix, normalizedValue * 0.4);
	DelayEQ.setAttribute(DelayEQ.Gain, normalizedValue * 6);
	DelayCut.setAttribute(DelayCut.Gain, (normalizedValue * -7) - 0);
	
	Widthknb.setValueNormalized(value);
	Widthknb.changed();
	
	if (value < 0)
	{
	ReverbPower.setAttribute(ReverbPower.Gain, value * 50);
	DelayPower.setAttribute(DelayPower.Gain, value * 50);
	ShinePower.setAttribute(ShinePower.Gain, value * 50);
	}
	
};

Content.getComponent("Mainknb").setControlCallback(onMainknbControl);




function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 